> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a concept

GET https://cdn.contentful.com/spaces/{space_id}/environments/{environment_id}/taxonomy/concepts/{taxonomy_cda_concept_id}

Returns a single concept based on the given identifier.

Reference: https://contentful.com/developers/docs/references/content-delivery-api/taxonomy/get-a-concept

## Request

### Path parameters

- `space_id` (string, required) — ID of the space
- `environment_id` (string, required) — ID of the environment
- `taxonomy_cda_concept_id` (string, required) — ID of the concept

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "altLabels": {
    "en-US": []
  },
  "broader": [
    {
      "sys": {
        "id": "5YRe68gqRx6QlLyEE00Ue6",
        "linkType": "TaxonomyConcept",
        "type": "Link"
      }
    }
  ],
  "changeNote": {
    "en-US": ""
  },
  "conceptSchemes": [
    {
      "sys": {
        "id": "2s0F7127ajju1AVToMaCtE",
        "linkType": "TaxonomyConceptScheme",
        "type": "Link"
      }
    }
  ],
  "definition": {
    "en-US": ""
  },
  "editorialNote": {
    "en-US": ""
  },
  "example": {
    "en-US": ""
  },
  "hiddenLabels": {
    "en-US": []
  },
  "historyNote": {
    "en-US": ""
  },
  "notations": [],
  "note": {
    "en-US": ""
  },
  "prefLabel": {
    "en-US": "sofa"
  },
  "related": [
    {
      "sys": {
        "id": "5YRe68gqRx6QlLyEE00Ue6",
        "linkType": "TaxonomyConcept",
        "type": "Link"
      }
    }
  ],
  "scopeNote": {
    "en-US": ""
  },
  "sys": {
    "createdAt": "2025-11-25T06:06:12.000Z",
    "id": "3DMf5gdax6J22AfcJ6fvsC",
    "type": "TaxonomyConcept",
    "updatedAt": "2025-11-25T06:06:12.000Z",
    "version": 1
  },
  "uri": null
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

const client = createClient({
  space: '<space_id>',
  environment: '<environment_id>', // defaults to 'master' if not set
  accessToken: '<content_delivery_api_key>'
})

client.getConcept('<taxonomy_cda_concept_id>')
.then((concept) => console.log(concept))
.catch(console.error)
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
require 'contentful'

client = Contentful::Client.new(
  space: '<space_id>',
  access_token: '<content_delivery_api_key>',
  environment: 'master',  # Optional - defaults to 'master'.
  dynamic_entries: :auto  # Enables Content Type caching.
)

concept = client.taxonomy_concept('<concept_id>')
```

```python Python
from contentful import Client

client = Client(
  '<space_id>',
  '<content_delivery_api_key>',
  environment='master'  # Optional - it defaults to 'master'.
)

concept = client.taxonomy_concept('<concept_id>')
```

```.net .NET
csharp
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulClient(httpClient, "<content_delivery_api_key>", "<content_preview_api_key>", "<space_id>");

var concept = await client.GetTaxonomyConcept("<concept_id>");
```